CardManagementPermission (Java Card SPI, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacardx.spi.cardmgmt
Class CardManagementPermission

    java.lang.Object
      java.security.Permission
          java.security.BasicPermission
              javacardx.spi.cardmgmt.CardManagementPermission

    @TransactionType(value=NOT_SUPPORTED)
    public final class CardManagementPermission

extends BasicPermission

This class is for Card Management permissions. A CardManagementPermission contains a name (also referred to as a "target name") but no actions list; the named permission is either granted or not.

The target name is the name of the card management permission (see below). The naming convention follows the hierarchical property naming convention. Also, an asterisk may appear at the end of the name, following a ".", or by itself, to signify a wildcard match. For example: "credentialManager.*" or "*" is valid, "*credentialManager" or "c*r" is not valid.

The possible target names are "deploymentUnit.load", "deploymentUnit.unload", "application.create", "application.delete", "credentialManager.get" and "protectionDomain.get". Their meaning is defined as follows:

deploymentUnit.load
  Loading a deployment unit.
deploymentUnit.unload
  Unloading a deployment unit.
application.create
  Creating an application instance
application.delete
  Deleting an application instance
credentialManager.get
  Getting an application's credential manager (used for secure communications).
protectionDomain.get
  Getting the protection domain of an application group.

Since:
  Java Card 3.0
See Also:
  `BasicPermission`, `Permission`, `AccessController`, `AccessControlException`

Field Summary
`static String` | `NAME_APPLICATION_CREATE` The "application.create" action.
`static String` | `NAME_APPLICATION_DELETE` The "application.delete" action.
`static String` | `NAME_CREDENTIAL_MANAGER_GET` The "credentialManager.get" action.
`static String` | `NAME_DEPLOYMENT_UNIT_LOAD` The "deploymentUnit.load" action.
`static String` | `NAME_DEPLOYMENT_UNIT_UNLOAD` The "deploymentUnit.unload" action.
`static String` | `NAME_PROTECTION_DOMAIN_GET` The "protectionDomain.get" action.

Constructor Summary
`CardManagementPermission(String name)` Creates a new CardManagementPermission with the specified name.

Method Summary

Methods inherited from class java.security.BasicPermission
`equals, getActions, hashCode, implies`

Methods inherited from class java.security.Permission
`getName, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME_DEPLOYMENT_UNIT_LOAD

    public static final String NAME_DEPLOYMENT_UNIT_LOAD

  The "deploymentUnit.load" action.

  See Also:
    Constant Field Values

### NAME_DEPLOYMENT_UNIT_UNLOAD

    public static final String NAME_DEPLOYMENT_UNIT_UNLOAD

  The "deploymentUnit.unload" action.

  See Also:
    Constant Field Values

### NAME_APPLICATION_CREATE

    public static final String NAME_APPLICATION_CREATE

  The "application.create" action.

  See Also:
    Constant Field Values

### NAME_APPLICATION_DELETE

    public static final String NAME_APPLICATION_DELETE

  The "application.delete" action.

  See Also:
    Constant Field Values

### NAME_CREDENTIAL_MANAGER_GET

    public static final String NAME_CREDENTIAL_MANAGER_GET

  The "credentialManager.get" action.

  See Also:
    Constant Field Values

### NAME_PROTECTION_DOMAIN_GET

    public static final String NAME_PROTECTION_DOMAIN_GET

  The "protectionDomain.get" action.

  See Also:
    Constant Field Values

Constructor Detail

### CardManagementPermission

    public CardManagementPermission(String name)

  Creates a new CardManagementPermission with the specified name. The name is the symbolic name of the CardManagementPermission, such as "credentialManager.get", etc. An asterisk may appear at the end of the name, following a ".", or by itself, to signify a wildcard match such as "credentialManager.*".

  Parameters:
    `name` - the name of the CardManagementPermission.
  Throws:
    `NullPointerException` - if `name` is `null`.
    `IllegalArgumentException` - if `name` is not a recognized target name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.